# This spec file was derived from the upstream .spec file written by
# Jon Topper <jon at topper dot me dot uk>
Name:           email2trac
Version:        2.7.0
Release:        1%{?dist}
Summary:        Utilities for converting emails to trac tickets
Group:          Applications/Internet
License:        ASL 2.0
URL:            https://oss.trac.surfsara.nl/email2trac
Source0:        ftp://ftp.sara.nl/pub/outgoing/email2trac-%{version}.tar.gz
BuildRequires:  python
Requires:       trac
Patch0:         email2trac-2.6.2-installperms.patch

%description
This is a release of the SARA package email2trac that contains
utilities that we use to convert emails to trac tickets. The initial
setup was made by Daniel Lundin from Edgewall Software. SARA has
extend the initial setup, with the following extensions:

 * HTML message conversion
 * Attachments
 * Tickets can be updated via email
 * Use command-line options
 * Configuration file to control the behavior.
 * Unicode support
 * SPAM detection
 * Workflow support
 * FullBlogPlugin support
 * DiscussionPlugin support


%prep
%setup -q
%patch0 -p1


%build
%configure --with-trac_user=apache
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS ChangeLog LICENSE NOTICE README
%{_bindir}/delete_spam
%{_bindir}/email2trac
%{_bindir}/run_email2trac
%config(noreplace) %{_sysconfdir}/email2trac.conf


%changelog
* Mon Jul 22 2013 Thomas Moschny <thomas.moschny@gmx.de> - 2.7.0-1
- Updated to 2.7.0.

* Mon Mar 11 2013 Thomas Moschny <thomas.moschny@gmx.de> - 2.6.2-1
- Updated to 2.6.2.
  - License changed to ASL 2.0.
  - Updated URL.
  - Update one patch, drop obsolete patch.
- Modernize spec file.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 10 2009 Jesse Keating <jkeating@redhat.com> - 0.80-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Jesse Keating <jkeating@redhat.com> - 0.13-5
- Explicitly pass RPM_OPT_FLAGS

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 23 2008 Jesse Keating <jkeating@redhat.com> - 0.13-3
- Add a patch to handle both X-Spam-Score and X-Spam-Level

* Tue May 20 2008 Jesse Keating <jkeating@redhat.com> - 0.13-2
- BR python as per review.

* Mon May 19 2008 Jesse Keating <jkeating@redhat.com> - 0.13-1
- First submission to Fedora
